Subject: Re: bug#18513: 24.3; message-mode sends unencrypted on error

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 Sep 2019 13:46:20 +0200

David Bremner <[email-masked]> writes:

> It's definitely an improvement, and it fixes the scenario I reported. On
> the other hand, if the use corrupts the #secure tag then essentially the
> same behaviour results. Would it be possible to have a strict mode where
> any unknown mml tag causes an error?

I don't think it's possible to do that in general -- for instance, if
the user removes the first three characters from the MML tag (leaving a
line with just "ecure ..."), then Message can't know that it's supposed
to be secure...

So I don't see any way to do this in general, and I'm closing this bug
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no